"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const ts_lib_scripts_utils_1 = require("ts-lib-scripts-utils");
/**
 * 创建Git仓库
 *
 * @param rootPath 项目根目录
 */
function createGitRepository(rootPath) {
    try {
        if ((0, ts_lib_scripts_utils_1.isGitInstalled)() && !(0, ts_lib_scripts_utils_1.isInGitRepository)(rootPath)) {
            (0, child_process_1.execSync)('git init', { cwd: rootPath });
            return true;
        }
    }
    catch (e) {
        // 忽略错误
    }
    return false;
}
exports.default = createGitRepository;
//# sourceMappingURL=createGitRepository.js.map