"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const execa_1 = (0, tslib_1.__importDefault)(require("execa"));
const ts_lib_scripts_utils_1 = require("ts-lib-scripts-utils");
const paths_1 = require("../config/paths");
/**
 * 初始化 husky
 *
 * @param spinner 进度条
 * @param projectName 项目名称
 */
async function initHusky(spinner, projectName) {
    if ((0, ts_lib_scripts_utils_1.isGitInstalled)() && !(0, ts_lib_scripts_utils_1.isInGitRepository)(paths_1.rootPath)) {
        spinner.start('初始化 husky');
        try {
            await (0, execa_1.default)('npx', ['husky', 'install'], {
                cwd: (0, paths_1.resolveRoot)(projectName),
            });
            await (0, execa_1.default)('npm', ['set-script prepare', '"husky install"']);
            spinner.succeed('初始化 husky 成功');
        }
        catch (e) {
            spinner.fail('初始化 husky 失败');
        }
    }
}
exports.default = initHusky;
//# sourceMappingURL=init-husky.js.map