"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
/* eslint-disable @typescript-eslint/no-require-imports */
const execa_1 = (0, tslib_1.__importDefault)(require("execa"));
/**
 * 判断指定命令行是否安装
 *
 * @param cmd 命令行
 * @param args 判断是否安装时的参数，默认为`['--version']`
 */
async function isCmdInstalled(cmd, args = ['--version']) {
    try {
        await (0, execa_1.default)(cmd, args);
        return true;
    }
    catch (e) {
        return false;
    }
}
exports.default = isCmdInstalled;
//# sourceMappingURL=isCmdInstalled.js.map